Workspaces / REST API

Get ai settings

Read workspace AI defaults, independent tool-calling model, and JEV decision routing.

GET /api/workspaces/{workspaceId}/ai-settingsDeterministic operation

Parameters

workspaceIdRequired · string
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/workspaces/00000000-0000-4000-8000-000000000000/ai-settings" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "format": "uuid"
    }
  },
  "required": [
    "workspaceId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview